summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVincent Petry <pvince81@owncloud.com>2014-09-09 20:08:48 +0200
committerVincent Petry <pvince81@owncloud.com>2014-09-09 20:08:48 +0200
commitcd94b54be3676a2be772ef76c39ad706ff3eb947 (patch)
treebfa1f03e51d58ef45075eb12addb69cef1747c56
parent2a4201dbea95e3af0d2187b387546b8abb04166c (diff)
parent8196536309421f2f6b8f816e1ae67b5a635c8da5 (diff)
downloadnextcloud-server-cd94b54be3676a2be772ef76c39ad706ff3eb947.tar.gz
nextcloud-server-cd94b54be3676a2be772ef76c39ad706ff3eb947.zip
Merge pull request #10969 from owncloud/set-e
terminate script execution in case of failure
-rwxr-xr-xautotest-js.sh3
-rwxr-xr-xautotest.sh2
2 files changed, 5 insertions, 0 deletions
diff --git a/autotest-js.sh b/autotest-js.sh
index 8b9a106b021..a3a5f65fd2b 100755
--- a/autotest-js.sh
+++ b/autotest-js.sh
@@ -7,6 +7,9 @@
# @author Vincent Petry
# @copyright 2014 Vincent Petry <pvince81@owncloud.com>
#
+
+set -e
+
NPM="$(which npm 2>/dev/null)"
PREFIX="build"
diff --git a/autotest.sh b/autotest.sh
index d359aed91e7..eb6b4888188 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -6,6 +6,8 @@
# @copyright 2012, 2013 Thomas Müller thomas.mueller@tmit.eu
#
+set -e
+
#$EXECUTOR_NUMBER is set by Jenkins and allows us to run autotest in parallel
DATABASENAME=oc_autotest$EXECUTOR_NUMBER
DATABASEUSER=oc_autotest$EXECUTOR_NUMBER